#
# Cookbook Name:: shinken
# Recipe:: _commands
#
# Copyright (C) 2014 EverTrue, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

node['shinken']['commands'].each do |cmd_name, cmd_conf|
  cmd_conf = cmd_conf.to_h  # By default node attributes are immutable
  cmd_conf['command_name'] ||= cmd_name

  template "#{node['shinken']['conf_dir']}/commands/#{cmd_name}.cfg" do
    source 'generic-definition.cfg.erb'
    owner  node['shinken']['user']
    group  node['shinken']['group']
    mode   0644
    variables(
      type: 'command',
      conf: cmd_conf
    )
    notifies :restart, 'service[shinken]'
  end
end
